### Enumeration

# FwupdPlugin ProtobufWireType

#### Declaration

    enum FwupdPlugin.ProtobufWireType

#### Description

No description available.

#### Members

`FU_PROTOBUF_WIRE_TYPE_VARINT`

  Int32, sint64, bool, enum, etc.

  - Value: `0`
  - Available since: 1.0
`FU_PROTOBUF_WIRE_TYPE_INT64`

  Fixed64, sfixed64, double.

  - Value: `1`
  - Available since: 1.0
`FU_PROTOBUF_WIRE_TYPE_LEN`

  String, bytes, etc.

  - Value: `2`
  - Available since: 1.0
`FU_PROTOBUF_WIRE_TYPE_START_GROUP`

  Deprecated.

  - Value: `3`
  - Available since: 1.0
`FU_PROTOBUF_WIRE_TYPE_END_GROUP`

  Deprecated.

  - Value: `4`
  - Available since: 1.0
`FU_PROTOBUF_WIRE_TYPE_INT32`

  Fixed32, sfixed32, float.

  - Value: `5`
  - Available since: 1.0